#ifndef __REGISTERFRIEND_H__
#define __REGISTERFRIEND_H__

// [nakata] Constant used to tell the GameSpy SDK the platform
#ifndef _NITRO
#define _NITRO
#endif

#ifndef GSI_COMMON_DEBUG
#define GSI_COMMON_DEBUG
#endif

//#include "main.h"

#ifdef __cplusplus
extern "C" {
#endif

//----------------------------------------------------------------------------
// typedef
//----------------------------------------------------------------------------
typedef struct tagRegFriendParam
{
    int step;    //  0: Currently selecting a command, 1: Currently entering friend information to be added or deleted
    u32 figure;  //  Digit being entered
    u32 value;   //  Value being entered
} RegFriendParam;

//Prototypes
void RegFriendModeDispCallback(int curIdx, void* param);
GameMode GameRegisterFriendMain(void);

    
#ifdef __cplusplus
}
#endif

#endif  // __REGISTERFRIEND_H__
